﻿using System.Web.Mvc;
using System.Web.Helpers;
using UsandoChartHelper.Models;
using System.IO;
namespace UsandoChartHelper.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Usando Chart Helper";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult getGrafico()
        {
            var myChart = new Chart(width: 600, height: 400)
           .AddTitle("Campeonato Paulista - 2012")
           .AddSeries(
               name: "CampeonatoPaulista",
               chartType: "Pie",
               legend : "Campeonato Paulista",
               xValue: new[] { "São Paulo", "Corinthians", "Palmeiras", "Santos", "Mogi Mirim" },
               yValues: new[] { "34", "34", "32", "30", "30" })
           .Write();

            return null;
        }

        public ActionResult getGraficoDB()
        {
            var arquivoXML = "/graficoDB.xml";
            ProdutosModel produtosDB = new ProdutosModel();
            var produtos = produtosDB.getProdutos();

            var myChart = new Chart(width: 600, height: 400, theme: ChartTheme.Yellow )
             .AddTitle("Os 5 Produtos Vendidos")
             .DataBindTable(dataSource: produtos, xField: "ProductName")
             .SaveXml(path:Server.MapPath(arquivoXML))
             .Write();

            return null;
        }
    }
}
